SIP response codes

SIP 603 Decline — the call-blocking response.

SIP 603 tells the caller's network that a call was deliberately refused. It — and its newer cousin 608 — are the right signals for policy-based call blocking and robocall mitigation.

Definition

What SIP 603 means

603 Decline is a global-failure response defined in RFC 3261. It indicates that the called party — or a network element acting for it — intentionally refused the call. Unlike 486 Busy Here or 480 Temporarily Unavailable, it is not a transient condition, so upstream networks should not simply retry another route.

For carriers running robocall mitigation, that clarity matters. A 603 tells upstream providers the call was refused by policy rather than failing for technical reasons, which keeps routing behavior sensible and your records clean.

Common rejection codes compared

CodeMeaningWhen to use it
480Temporarily UnavailableCallee not reachable right now; retry may succeed
486Busy HereCallee is busy at this location
603DeclineCall intentionally refused; safe default for policy blocking
607UnwantedCalled user marked the call as unwanted (RFC 8197)
608RejectedAn intermediary (e.g. analytics) rejected the call; can include redress contact (RFC 8688)

603 vs. 608

RFC 8688 introduced 608 Rejected specifically for calls blocked by network analytics rather than by the person being called. A 608 can carry a Call-Info header with a contact so the originator can learn why they were blocked and ask for a review — supporting the FCC's expectation that blocked callers have a way to seek redress.

Where a redress contact is available, 608 is the more precise choice. 603 remains a reasonable default when it is not, or when downstream equipment doesn't yet handle 608 well.

Automated handling

The right response code for every block

VoIP Radar returns the appropriate SIP response for each blocked call — 608 with a redress contact where configured, 603 as the safe default — so upstream carriers get accurate signaling and your traceback record stays clean.

Get in touch

Find out where your network stands

Tell us about your switch and traffic. A VoIP Radar engineer will map your STIR/SHAKEN, RMD and fraud exposure and send a written assessment — free, within one business day.

  • STIR/SHAKEN & attestation review
  • RMD certification gap check
  • Fraud & robocall exposure snapshot
  • Deployment plan for your SBC / softswitch

Get your free compliance assessment

What do you need help with?

We reply within one business day. No spam — see our privacy policy.

Free compliance check